/settlements/report

Sandbox (Testing): https://gateway.sand.us.zip.co/settlements/report An abbreviated list of settled transactions in JSON format.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example Response

{
    "transactions": [
        {
            "merchantId": "b47f1e79-2c4f-4e89-8ed4-5ea725b698ca",
            "merchantName": "Test Merchant",
            "transactionType": "MerchantFee",
            "amountSigned": -2.0500,
            "taxAmountSigned": 0.0000,
            "currency": "USD",
            "disbursementDateUtc": "2026-09-23T19:56:23.141+00:00",
            "orderDateTimeUtc": "2026-09-22T00:00:27.9798585+00:00",
            "merchantOrderReference": "SampleReference1",
            "orderId": "e4a265aa-2b43-4e87-b718-8d26ec82da2d",
            "transactionDateTimeUtc": "2026-09-22T00:01:22.7300223+00:00",
            "product": "QuadPayClassic",
            "merchantTransactionReference": "ABC123",
            "invoiceNumber": "66edea818d6449228817111e1dd5f7d6"
        },
        {
            "merchantId": "b47f1e79-2c4f-4e89-8ed4-5ea725b698ca",
            "merchantName": "Test Merchant",
            "transactionType": "Capture",
            "amountSigned": 70.6200,
            "taxAmountSigned": 0.0000,
            "currency": "USD",
            "disbursementDateUtc": "2026-09-23T19:56:23.141+00:00",
            "orderDateTimeUtc": "2026-09-22T00:00:27.9798585+00:00",
            "merchantOrderReference": "SampleReference1",
            "orderId": "e4a265aa-2b43-4e87-b718-8d26ec82da2d",
            "transactionDateTimeUtc": "2026-09-22T00:01:22.7300223+00:00",
            "product": "QuadPayClassic",
            "merchantTransactionReference": "ABC123",
            "invoiceNumber": "66edea818d6449228817111e1dd5f7d6"
        },
        {
            "merchantId": "b47f1e79-2c4f-4e89-8ed4-5ea725b698ca",
            "merchantName": "Test Merchant",
            "transactionType": "TransactionFee",
            "amountSigned": -0.1500,
            "taxAmountSigned": 0.0000,
            "currency": "USD",
            "disbursementDateUtc": "2026-09-23T19:56:23.141+00:00",
            "orderDateTimeUtc": "2026-09-22T00:00:27.9798585+00:00",
            "merchantOrderReference": "SampleReference1",
            "orderId": "e4a265aa-2b43-4e87-b718-8d26ec82da2d",
            "transactionDateTimeUtc": "2026-09-22T00:01:22.7300223+00:00",
            "product": "QuadPayClassic",
            "merchantTransactionReference": "ABC123",
            "invoiceNumber": "66edea818d6449228817111e1dd5f7d6"
        }
    ],
    "totalCount": 100
}
Query Params
string
required

The unique Zip Merchant ID

date
required

Search starting date.

date
required

Search ending date.

string
required

The signature for merchant validation

int32

The page subset of the total results. Default is 1.

int32

The number of records to include in the result set. Default/maximum is 100,000.

Headers
string
required

The signature for merchant validation

Response

Language
LoadingLoading…
Response
Choose an example:
application/json